#include "vtkTclUtil.h"
#include "vtkVersion.h"
#define VTK_TCL_TO_STRING(x) VTK_TCL_TO_STRING0(x)
#define VTK_TCL_TO_STRING0(x) #x
extern "C"
{
#if (TCL_MAJOR_VERSION == 8) && (TCL_MINOR_VERSION >= 4)
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, CONST84 char *[]);
#else
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, char *[]);
#endif
}

int vtkBlueObeliskDataCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkBlueObeliskDataNewCommand();
int vtkBlueObeliskDataParserCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkBlueObeliskDataParserNewCommand();
int vtkCMLMoleculeReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkCMLMoleculeReaderNewCommand();
int vtkMoleculeAlgorithmCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkMoleculeAlgorithmNewCommand();
int vtkMoleculeMapperCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkMoleculeMapperNewCommand();
int vtkMoleculeToAtomBallFilterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkMoleculeToAtomBallFilterNewCommand();
int vtkMoleculeToBondStickFilterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkMoleculeToBondStickFilterNewCommand();
int vtkPeriodicTableCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPeriodicTableNewCommand();
int vtkProgrammableElectronicDataCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkProgrammableElectronicDataNewCommand();
int vtkSimpleBondPerceiverCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkSimpleBondPerceiverNewCommand();

extern Tcl_HashTable vtkInstanceLookup;
extern Tcl_HashTable vtkPointerLookup;
extern Tcl_HashTable vtkCommandLookup;
extern void vtkTclDeleteObjectFromHash(void *);
extern void vtkTclListInstances(Tcl_Interp *interp, ClientData arg);


extern "C" {int VTK_EXPORT Vtkchemistrytcl_SafeInit(Tcl_Interp *interp);}

extern "C" {int VTK_EXPORT Vtkchemistrytcl_Init(Tcl_Interp *interp);}

extern void vtkTclGenericDeleteObject(ClientData cd);


int VTK_EXPORT Vtkchemistrytcl_SafeInit(Tcl_Interp *interp)
{
  return Vtkchemistrytcl_Init(interp);
}


int VTK_EXPORT Vtkchemistrytcl_Init(Tcl_Interp *interp)
{

  vtkTclCreateNew(interp,const_cast<char *>("vtkBlueObeliskData"), vtkBlueObeliskDataNewCommand,
                  vtkBlueObeliskDataCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkBlueObeliskDataParser"), vtkBlueObeliskDataParserNewCommand,
                  vtkBlueObeliskDataParserCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkCMLMoleculeReader"), vtkCMLMoleculeReaderNewCommand,
                  vtkCMLMoleculeReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkMoleculeAlgorithm"), vtkMoleculeAlgorithmNewCommand,
                  vtkMoleculeAlgorithmCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkMoleculeMapper"), vtkMoleculeMapperNewCommand,
                  vtkMoleculeMapperCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkMoleculeToAtomBallFilter"), vtkMoleculeToAtomBallFilterNewCommand,
                  vtkMoleculeToAtomBallFilterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkMoleculeToBondStickFilter"), vtkMoleculeToBondStickFilterNewCommand,
                  vtkMoleculeToBondStickFilterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPeriodicTable"), vtkPeriodicTableNewCommand,
                  vtkPeriodicTableCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkProgrammableElectronicData"), vtkProgrammableElectronicDataNewCommand,
                  vtkProgrammableElectronicDataCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkSimpleBondPerceiver"), vtkSimpleBondPerceiverNewCommand,
                  vtkSimpleBondPerceiverCommand);
  char pkgName[]="vtkChemistryTCL";
  char pkgVers[]=VTK_TCL_TO_STRING(VTK_MAJOR_VERSION) "." VTK_TCL_TO_STRING(VTK_MINOR_VERSION);
  Tcl_PkgProvide(interp, pkgName, pkgVers);
  return TCL_OK;
}
